Subject: Offline Message from Andrew Thorp: Hi, I bought a non-e scooter on Amazon an
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 22 Aug 2022 03:53:47 -0000

From: Andrew Thorp <[email-masked]>
Phone: 7734303084
Location: Chicago, United States
URL: https://swagtron.com/
Department: SwagTron

Hi,

I bought a non-e scooter on Amazon and the mechanism at where it folds/locks in  front broke while I was casually riding at 5 mph with walking friends. This could have been very dangerous, I was going faster. I'd like a refund because fixing it would not lead to me feeling safe when riding again. Let me know if you need more info to get this rolling. Thanks, Andrew

 Order# 114-4801352-5777054

----
Zopim
https://www.zopim.com